[% # vim:ts=2:sw=2:et:ai:sts=2:filetype=xhtml
META
  title = "Maps"
  lang = "en"
%]


<div id="main-content">

 <h2>Map</h2>

 <div id="mapdiv" style="width: 100%; height: 500px;"></div>

 <script src="map/OpenLayers.js"></script>
  <script>
    map = new OpenLayers.Map("mapdiv");
    map.addLayer(new OpenLayers.Layer.OSM());
       
    var kmllayer = new OpenLayers.Layer.Vector("KML", {
            strategies: [new OpenLayers.Strategy.Fixed()],
            protocol: new OpenLayers.Protocol.HTTP({
                url: "./map/DebConf13.kml",
                format: new OpenLayers.Format.KML({
                    extractStyles: true, 
                    extractAttributes: true,
                    maxDepth: 2
                })
            })
        });
        
    
    
    map.addLayer(kmllayer);
    
    //Set start centrepoint and zoom
    //TODO: Is it possible to just zoom to extents of KML objects instead?
    var lonLat = new OpenLayers.LonLat( 6.781 ,46.8659 )
          .transform(
            new OpenLayers.Projection("EPSG:4326"), // transform from WGS 1984
            map.getProjectionObject() // to Spherical Mercator Projection
          );
    var zoom=12;
    map.setCenter (lonLat, zoom);  
    
    
    
    
     //Add a selector control to the kmllayer with popup functions
    var controls = {
      selector: new OpenLayers.Control.SelectFeature(kmllayer, { onSelect: createPopup, onUnselect: destroyPopup })
    };

    function createPopup(feature) {
      feature.popup = new OpenLayers.Popup.FramedCloud("pop",
          feature.geometry.getBounds().getCenterLonLat(),
          null,
          '<div class="markerContent">' + feature.attributes.name + 
		(feature.attributes.description !== undefined ? '<br /><small>'+feature.attributes.description+'</small>' : '') +
          '</div>',
          null,
          true,
          function() { controls['selector'].unselectAll(); }
      );
      //feature.popup.closeOnMove = true;
      map.addPopup(feature.popup);
    }

    function destroyPopup(feature) {
      feature.popup.destroy();
      feature.popup = null;
    }
    
    map.addControl(controls['selector']);
    controls['selector'].activate();
    
  </script>

</div>
